# - Try to find ball
# Once done this will define
#
#  ball_FOUND        - system has ball
#  ball_INCLUDE_DIRS - the ball include directory
#  ball_LIBRARIES    - Link these to use ball

INCLUDE( LibFindMacros)

# this package
SET( ball_PACKAGE_NAME ball)
SET( ball_PACKAGE_VERSION ${ball_FIND_VERSION})

# include directory
FIND_PATH( ${ball_PACKAGE_NAME}_INCLUDE_DIR NAMES BALL/common.h NO_CMAKE_SYSTEM_PATH)

# library
FIND_LIBRARY( ${ball_PACKAGE_NAME}_LIBRARY NAMES BALL NO_CMAKE_SYSTEM_PATH)

# Set the include dir variables and the libraries and let libfind_process do the rest.
# NOTE: Singular variables for this library, plural for libraries this lib depends on.
SET( ${ball_PACKAGE_NAME}_PROCESS_INCLUDES ${ball_PACKAGE_NAME}_INCLUDE_DIR)
SET( ${ball_PACKAGE_NAME}_PROCESS_LIBS ${ball_PACKAGE_NAME}_LIBRARY)
LIBFIND_PROCESS( ${ball_PACKAGE_NAME})

# data
SET( ${ball_PACKAGE_NAME}_SHARE ${${ball_PACKAGE_NAME}_INCLUDE_DIR}/../share CACHE INTERNAL "share for ${ball_PACKAGE_NAME}")

# runtime library
IF( MINGW)
  SET( ${ball_PACKAGE_NAME}_RUNTIME_LIBRARY ${${ball_PACKAGE_NAME}_LIBRARY} CACHE INTERNAL "runtime library for ${ball_PACKAGE_NAME}")
ELSEIF( APPLE OR UNIX)
  INCLUDE( MacroGetSoName)
  SET( ${ball_PACKAGE_NAME}_RUNTIME_LIBRARY ${${ball_PACKAGE_NAME}_LIBRARY} CACHE INTERNAL "runtime library for ${ball_PACKAGE_NAME}")
  MACRO_GET_SO_NAME( ${${ball_PACKAGE_NAME}_LIBRARY})
  SET( ${ball_PACKAGE_NAME}_RUNTIME_LIBRARY_RENAME ${SO_FILE_NAME} CACHE INTERNAL "so name of runtime library for ${ball_PACKAGE_NAME}")
  UNSET( SO_FILE_NAME)
ENDIF()
