# - Try to find boost
# Once done this will define
#
#  boost_FOUND         - system has boost
#  boost_INCLUDE_DIRS  - the boost include directory
#  boost_LIBRARIES     - Link these to use boost
#  boost_LIBRARY_NAMES - names of boost libraries

INCLUDE( LibFindMacros)

# this package
SET( boost_PACKAGE_NAME boost)
SET( boost_PACKAGE_VERSION ${boost_FIND_VERSION})

# include directory
FIND_PATH( ${boost_PACKAGE_NAME}_INCLUDE_DIR NAMES boost/shared_ptr.hpp NO_CMAKE_SYSTEM_PATH)

# library
SET( ${boost_PACKAGE_NAME}_LIBRARY_NAMES
  boost_system
  boost_thread
  boost_iostreams
  boost_regex
  boost_date_time
)
 
FOREACH( LIB_NAME ${${boost_PACKAGE_NAME}_LIBRARY_NAMES})
  FIND_LIBRARY( ${boost_PACKAGE_NAME}_LIBRARY_${LIB_NAME} NAMES ${LIB_NAME} ${LIB_NAME}-mt NO_CMAKE_SYSTEM_PATH)
  IF( ${boost_PACKAGE_NAME}_LIBRARY_${LIB_NAME}) # windows does not need all of them
    SET( ${boost_PACKAGE_NAME}_LIBRARIES ${${boost_PACKAGE_NAME}_LIBRARIES} ${${boost_PACKAGE_NAME}_LIBRARY_${LIB_NAME}})
  ENDIF()
ENDFOREACH()

# Set the include dir variables and the libraries and let libfind_process do the rest.
# NOTE: Singular variables for this library, plural for libraries this lib depends on.
SET( ${boost_PACKAGE_NAME}_INCLUDE_DIRS ${${boost_PACKAGE_NAME}_INCLUDE_DIR})
SET( ${boost_PACKAGE_NAME}_RUNTIME_LIBRARIES ${${boost_PACKAGE_NAME}_LIBRARIES})

# runtime library
INCLUDE( MacroGetSoName)
FOREACH( LIB_NAME ${${boost_PACKAGE_NAME}_LIBRARY_NAMES})
  IF( MINGW)
  ELSEIF( APPLE OR UNIX)
    MACRO_GET_SO_NAME( ${${boost_PACKAGE_NAME}_LIBRARY_${LIB_NAME}})
    SET( ${boost_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME ${${boost_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME} ${SO_FILE_NAME})
    UNSET( SO_FILE_NAME)
  ENDIF()
ENDFOREACH()

IF( ${boost_PACKAGE_NAME}_RUNTIME_LIBRARIES)
  SET( ${boost_PACKAGE_NAME}_FOUND TRUE)
ENDIF() 
