# - Try to find gsl
# Once done this will define
#
#  gsl_FOUND         - system has gsl
#  gsl_INCLUDE_DIRS  - the gsl include directory
#  gsl_LIBRARIES     - Link these to use gsl
#  gsl_LIBRARY_NAMES - names of gsl libraries

INCLUDE( LibFindMacros)

# this package
SET( gsl_PACKAGE_NAME gsl)
SET( gsl_PACKAGE_VERSION ${gsl_FIND_VERSION})

# library
SET( ${gsl_PACKAGE_NAME}_LIBRARY_NAMES
  gsl
  gslcblas
) 

FOREACH( LIB_NAME ${${gsl_PACKAGE_NAME}_LIBRARY_NAMES})
  FIND_LIBRARY( ${gsl_PACKAGE_NAME}_LIBRARY_${LIB_NAME} NAMES ${LIB_NAME} NO_CMAKE_SYSTEM_PATH)
  SET( ${gsl_PACKAGE_NAME}_RUNTIME_LIBRARIES ${${gsl_PACKAGE_NAME}_RUNTIME_LIBRARIES} ${${gsl_PACKAGE_NAME}_LIBRARY_${LIB_NAME}}) 
ENDFOREACH()

# runtime library
INCLUDE( MacroGetSoName)
FOREACH( LIB_NAME ${${gsl_PACKAGE_NAME}_LIBRARY_NAMES})
  IF( MINGW)
  ELSEIF( APPLE OR UNIX)
    MACRO_GET_SO_NAME( ${${gsl_PACKAGE_NAME}_LIBRARY_${LIB_NAME}})
    SET( ${gsl_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME ${${gsl_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME} ${SO_FILE_NAME})
    UNSET( SO_FILE_NAME)
  ENDIF()
ENDFOREACH()

IF( ${gsl_PACKAGE_NAME}_RUNTIME_LIBRARIES)
  SET( ${gsl_PACKAGE_NAME}_FOUND TRUE)
ENDIF()
