# - Try to find qt
# Once done this will define
#
#  qt_FOUND         - system has qt
#  qt_INCLUDE_DIRS  - the qt include directory
#  qt_LIBRARIES     - Link these to use qt
#  qt_LIBRARY_NAMES - names of qt libraries

INCLUDE( LibFindMacros)

# this package
SET( qt_PACKAGE_NAME qt)
SET( qt_PACKAGE_VERSION ${qt_FIND_VERSION})

# library
SET( ${qt_PACKAGE_NAME}_LIBRARY_NAMES
  QtCore
  QtNetwork
  QtSql
  QtXml
) 

FOREACH( LIB_NAME ${${qt_PACKAGE_NAME}_LIBRARY_NAMES})
  FIND_LIBRARY( ${qt_PACKAGE_NAME}_RUNTIME_LIBRARY_${LIB_NAME} NAMES ${LIB_NAME} ${LIB_NAME}4 NO_CMAKE_SYSTEM_PATH)
  SET( ${qt_PACKAGE_NAME}_RUNTIME_LIBRARIES ${${qt_PACKAGE_NAME}_RUNTIME_LIBRARIES} ${${qt_PACKAGE_NAME}_RUNTIME_LIBRARY_${LIB_NAME}}) 
ENDFOREACH()
IF( ${qt_PACKAGE_NAME}_RUNTIME_LIBRARIES)
  SET( ${qt_PACKAGE_NAME}_FOUND TRUE)
ENDIF()

# runtime library
INCLUDE( MacroGetSoName)
FOREACH( LIB_NAME ${${qt_PACKAGE_NAME}_LIBRARY_NAMES})
  IF( MINGW)
  ELSEIF( APPLE OR UNIX)
    MACRO_GET_SO_NAME( ${${qt_PACKAGE_NAME}_RUNTIME_LIBRARY_${LIB_NAME}})
    SET( ${qt_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME ${${qt_PACKAGE_NAME}_RUNTIME_LIBRARIES_RENAME} ${SO_FILE_NAME})
    UNSET( SO_FILE_NAME)
  ENDIF()
ENDFOREACH()
