INCLUDE(CMakeForceCompiler)
# this one is important
SET( CMAKE_SYSTEM_NAME Darwin)
SET( CMAKE_SYSTEM_VERSION 10.6)
SET( CMAKE_SYSTEM_PROCESSOR x86_64)
# this one not so much
#SET( DARWIN_MAJOR_VERSION 10)
#SET( DARWIN_MINOR_VERSION 6)
SET( TARGET_PLATFORM ${CMAKE_SYSTEM_PROCESSOR}-apple-darwin10)

# specify the cross compiler
INCLUDE( MacroWrapCompiler)

IF( ${USE_CLANG})
  MACRO_WRAP_COMPILER( CMAKE_C_COMPILER ${TARGET_PLATFORM}-clang)
  MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER ${TARGET_PLATFORM}-clang++)
  SET( COMPILER_BASENAME ${TARGET_PLATFORM}-clang++)
ELSE()
  MACRO_WRAP_COMPILER( CMAKE_C_COMPILER ${TARGET_PLATFORM}-gcc)
  MACRO_WRAP_COMPILER( CMAKE_CXX_COMPILER ${TARGET_PLATFORM}-g++)
  SET( COMPILER_BASENAME ${TARGET_PLATFORM}-g++)
ENDIF()

# otool
FIND_PROGRAM( OTOOL_CMD ${TARGET_PLATFORM}-otool PATHS ENV PATH NO_DEFAULT_PATH)
SET( OTOOL_CMD ${OTOOL_CMD} CACHE FILEPATH "otool for analyzing binaries")

GET_FILENAME_COMPONENT( COMPILER_ABS_PATH ${${COMPILER_BASENAME}_PATH} REALPATH)
GET_FILENAME_COMPONENT( COMPILER_DIR_ABS_PATH ${COMPILER_ABS_PATH} PATH)

SET(
  APPLE_SDK_PATH
  ${COMPILER_DIR_ABS_PATH}/../SDK/MacOSX${CMAKE_SYSTEM_VERSION}.sdk
  CACHE
  INTERNAL
  "Location of apple SDKs"
)
SET( 
  APPLE_FRAMEWORKS_PATH 
  ${APPLE_SDK_PATH}/System/Library/Frameworks
  ${APPLE_SDK_PATH}/usr/include
  CACHE INTERNAL "Location of apple frameworks and related header files"
)
