#!/bin/tcsh
# general settings
set SL_ROOT = `pwd -P`

cd ${SL_ROOT}

setenv PATH ${PATH}:/ebio/abt1/share/software/apple-darwin10/bin
setenv PATH ${PATH}:/ebio/abt1/share/software/apple-darwin13/bin
setenv PATH ${PATH}:/ebio/abt1/share/software/mxe/2013_12_03/usr/bin/
setenv PATH ${PATH}:/ebio/abt1/share/software/nsis/2.46

#foreach TARGET (x86_64-unknown-linux-gnu x86_64-apple-darwin10 x86_64-apple-darwin13 i386-apple-darwin10 i386-apple-darwin13 x86_64-w64-mingw32 i686-w64-mingw32)
foreach TARGET (x86_64-unknown-linux-gnu x86_64-apple-darwin10 x86_64-apple-darwin13 i386-apple-darwin10 i386-apple-darwin13 i686-w64-mingw32)
 set BUILD_PATH = ${SL_ROOT}/build/${TARGET}-release/
 rm -rf $BUILD_PATH
 mkdir -p $BUILD_PATH
 cd ${BUILD_PATH}
 cmake -DCMAKE_MODULE_PATH=${SL_ROOT}/cmake/modules -DCMAKE_BUILD_TYPE=Release -DCMAKE_TOOLCHAIN_FILE=${SL_ROOT}/cmake/toolchain/${TARGET}.cmake ../../
 make -j16
 cpack -DCPACK_INSTALL_CMAKE_PROJECTS="./;sl-project;ALL;/" -DCPACK_COMPONENTS_ALL_GROUPS_IN_ONE_PACKAGE=1
end
