INCLUDE( InstallRequiredSystemLibraries)

SET( CPACK_PACKAGE_NAME "scaffold_selection")
SET( CPACK_PACKAGE_DESCRIPTION_SUMMARY "scaffold selection")
SET( CPACK_PACKAGE_VENDOR "ag-hoecker @ MPI for Developmental Biology")
SET( CPACK_PACKAGE_CONTACT "bhoecker@tuebingen.mpg.de")
SET( CPACK_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${SL_VERSION}-${CMAKE_SYSTEM_NAME}-${CMAKE_SYSTEM_PROCESSOR}")
SET( CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
SET( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
#SET( CPACK_RESOURCE_FILE_README "")
SET( CPACK_RESOURCE_FILE_WELCOME "${CMAKE_CURRENT_SOURCE_DIR}/README")
SET( CPACK_PACKAGE_VERSION_MAJOR ${SL_VERSION_MAJOR})
SET( CPACK_PACKAGE_VERSION_MINOR ${SL_VERSION_MINOR})
SET( CPACK_PACKAGE_VERSION_PATCH ${SL_VERSION_PATCH})
SET( CPACK_PACKAGE_INSTALL_DIRECTORY "scaffold_selection_${SL_VERSION_MAJOR}.${SL_VERSION_MINOR}")

# STGZ generator for Linux by default
IF( UNIX)
  SET( CPACK_GENERATOR "STGZ")
ENDIF( UNIX)

# STGZ generator for Mac by default
IF( APPLE)
  SET( CPACK_GENERATOR "STGZ")
ENDIF( APPLE)

IF( MINGW)
  SET( CPACK_GENERATOR "NSIS")
ENDIF( MINGW)

#NSIS specific settings
IF( CPACK_GENERATOR STREQUAL "NSIS")
  SET( CPACK_NSIS_URL_INFO_ABOUT "http://www.eb.tuebingen.mpg.de/de/forschung/arbeitsgruppen/birte-hoecker/algorithms-and-software.html")
  SET( CPACK_NSIS_HELP_LINK "http://onlinelibrary.wiley.com/doi/10.1002/prot.22418/abstract")
  SET( CPACK_NSIS_CONTACT "birte.hoecker@tuebingen.mpg.de")
  IF( CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
    SET( CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES64")
  ELSE()
    SET( CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES32")
  ENDIF()
#  SET( CPACK_NSIS_EXTRA_INSTALL_COMMANDS "")
#  SET( CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "")
ENDIF()

#SET( CPACK_COMPONENTS_ALL_GROUPS_IN_ONE_PACKAGE 0)
#SET( CPACK_COMPONENTS_ALL_GROUPS_IN_ONE_PACKAGE 1)
#SET( CPACK_COMPONENTS_IGNORE_GROUPS 1)
  
# include the CPack script that parses all given variables
INCLUDE( CPack)

################
# install groups
################

# group externals
CPACK_ADD_COMPONENT_GROUP(
  SlExtern
  DISPLAY_NAME "sl external libraries"
  DESCRIPTION "dynamically linked external libraries which might be required, if they are not installed on the system"
) 
